Name:           fotowall
Version:        1.0
Release:        %mkrel 10
Summary:        Photo collection creativity tool
Group:          Graphics/Photography
License:        GPLv2+
URL:            https://www.enricoros.com/opensource/fotowall/
Source0:        https://github.com/enricoros/fotowall/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         fotowall-1.0-backports-upstream-fixes-from-2019-01-02.patch
Patch1:         fotowall-1.0-fix-build-against-qt-5.15.0.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  libv4l-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qttools5

%description
FotoWall is a creative tool that allows you to layout your photos or pictures
in a personal way. You can add pictures, then resize, move,
change colors, text, shadows, etc..

%prep
%setup -q
%autopatch -p1

# Unused file
sed -i -e "/scripts/d" -e "s@man\ \\\@man@" %{name}.pro
# for v4l1 compatibility
sed -i -e 's/linux\/videodev2.h/libv4l1-videodev.h/' 3rdparty/videocapture/VideoDevice.h

%build
%{_qt5_bindir}/lrelease translations/*.ts
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor="" \
  --mode 644 \
  --dir %{buildroot}%{_datadir}/applications/ \
  %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc GPL_V2 README.markdown
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/man/man?/%{name}.?.*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0-10.mga10
+ Revision: 2214263
- Mageia 10 Mass Rebuild

* Mon Apr 04 2022 umeabot <umeabot> 1.0-9.mga9
+ Revision: 1843278
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.0-8.mga8
+ Revision: 1658450
- Rebuild for new Qt5

* Sun Jul 26 2020 daviddavid <daviddavid> 1.0-7.mga8
+ Revision: 1609096
- backports upstream fixes from git 2019-01-02
- add patch to fix build with Qt 5.15

* Sat Feb 15 2020 umeabot <umeabot> 1.0-5.mga8
+ Revision: 1524592
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.0-4.mga7
+ Revision: 1381774
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0-3.mga7
+ Revision: 1297748
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 1.0-2.mga7
+ Revision: 1233772
- add patch to fix build with new Qt5 >= 5.11.0

* Wed Mar 28 2018 zezinho <zezinho> 1.0-1.mga7
+ Revision: 1212969
- version 1.0
- port to QT5

* Fri Mar 10 2017 akien <akien> 0.9-9.mga6
+ Revision: 1091602
- Rebuild for v4l-utils 1.12.3

* Sun Feb 14 2016 umeabot <umeabot> 0.9-8.mga6
+ Revision: 960110
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 neoclust <neoclust> 0.9-7.mga6
+ Revision: 875168
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.9-6.mga5
+ Revision: 749620
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9-5.mga5
+ Revision: 679307
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9-4.mga4
+ Revision: 504611
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9-3.mga3
+ Revision: 350787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 0.9-2.mga3
+ Revision: 322428
- fix rpm group

* Fri Nov 04 2011 zezinho <zezinho> 0.9-1.mga2
+ Revision: 162713
- convert specfile from fedora
- imported package fotowall


* Sun Feb 13 2011 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.9-3
- Add libv4l-devel (and good include usage) for v4l1 compatibility
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Thu Dec  8 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.9-1
- Update to 0.9
* Sun Sep 20 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.8.1-1
- Update to 0.8.1
* Mon Aug  3 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.7.1-1
- Update to 0.7.1
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Wed May  6 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.6.1-1
- Rebuild for 0.6.1
* Wed Apr 22 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.5-1
- Rebuild for 0.5
* Sat Apr  4 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.4-1
- Rebuild for 0.4
* Fri Mar 13 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 1:0.3.1-1
- Rebuild for 0.3.1
* Sat Feb 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.21-3
- Fix desktop file
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Jul 20 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.21-1
- Initial build
